<?php
// Complete listing
namespace net\xmp\phpbook;

$rootDN = 'DC=xmp,DC=site';

/**
 * Definition for search operations and object classes
 */
$objectClasses = array(
    // ...
);

// Sets the default values
foreach ($objectClasses as &$oc) {
    if (isset($oc['base'])) {   // Copies from another definition
        foreach ($objectClasses[$oc['base']] as $name => $val) {
            if (!isset($oc[$name])) {
                $oc[$name] = $val;
            }
        }
    }
    if (!isset($oc['filterchars'])) {
        $oc['filterchars'] = "/[^-_ a-z0-9*.']/i";
    }
}

/**
 * Linking and converting attributes
 */
$attributeConvertion = array(
    // ...
);
?>
