/**
 * Mask the filter string for the search (conservative)
 * @param string $str Filter string to mask
 */
function escapeLDAP($str) {
    return preg_replace_callback('/[^-\w\s=,.*]/',
            function($m) {
                return '\\' . bin2hex($m[0]);
            },
            $str);
}
