<?php
namespace net\xmp\phpbook;

function modify($ad) {
    $attr = array();
    $attr['objectClass'] = 'organizationalUnit';
    $attr['description'] = 'OU of the hamster lovers';
    $attr['c'] = 'UK';
    $attr['st'] = 'Yorkshire';
    $dn = 'OU=Hamster,OU=Test-OU,DC=xmp,DC=site';

    $success = ldap_add($ad->handle, $dn, $attr);
    if (!$success) {
        $ad->exitWithError("Couldn't create new OU");
    }
    $before = array('dn' => $dn, 'count' => 0);
    $after = $ad->getOneEntry("(distinguishedName=$dn)");
    return array($before, $after);
}
?>
