<?php session_start(); ?>
<html>
<head><title>Guessing Numbers</title></head>
<body>
<?php
/* Generate random number and return help text */
function startGame() {
    $_SESSION['number'] = rand(1, 100);
    echo "<p>Can you guess the number? It's between 1 and 100.</p>";
}

/* First Call? -> Start game */
if (!isset($_SESSION['number'])) {
    startGame();
}
/* Guess? */
elseif (isset($_POST['guessed']) && is_numeric($_POST['guessed'])) {
    if ($_SESSION['number'] == $_POST['guessed']) {
        echo "<p>Great! You guessed the correct number.</p>",
             "<p>Would you like to play again?</p>";
        startGame();
    } elseif ($_SESSION['number'] < $_POST['guessed']) {
        echo "<p>Sorry, you're wrong! The number is smaller.<br />",
             "Try again.</p>";
    } else {
        echo "<p>Sorry, you're wrong! The number is larger.<br  />",
             "Try again.</p>";
    }
}
/* Invalid or missing entry  */
else {
    echo "<p>Please enter a number.",
         "The number you are trying to guess is between 1 and 100.</p>";
}
?>
<form action="" method="post">
    <p>Number: <input name="guessed" /></p>
    <p><input type="submit" value="Guess number"></p>
</form>
</body>
</html>
