CREATE TABLE #testTable (number int); -- Create temporary table
GO
BEGIN TRANSACTION;                    -- Starts the first transaction
INSERT INTO #testTable VALUES (1);
BEGIN TRANSACTION T_Two;              -- Starts the second nested transaction
INSERT INTO #testTable VALUES (2);
COMMIT TRANSACTION T_Two;             -- Complete transaction T_Two but could be rolled back with
INSERT INTO #testTable VALUES (3);    -- ROLLBACK of the first transaction
SAVE TRANSACTION Protection_point;    -- Defining a protection point
INSERT INTO #testTable VALUES (4);
INSERT INTO #testTable VALUES (5);
ROLLBACK TRAN Protection_point;       -- Roll back up to the protection point
INSERT INTO #testTable VALUES (6);
COMMIT TRANSACTION;                   -- Complete the first transaction
BEGIN TRAN                            -- Starts the third transaction
INSERT INTO #testTable VALUES (7);
ROLLBACK TRAN;                        -- Roll back the third transaction
SELECT * FROM #testTable;             -- Returns the values 1,2,3,6
GO
DROP TABLE #testTable;
GO
