// Establish connection
$ad = new LDAPConnection();
$ad->connect('doco-exch.xmp.site', 'arno@xmp.site', 'confidential');
// Filter parameters
if (!isset($objectClasses[$_GET['type']])) {
    $ad->exitWithError('Invalid entry type!');
}
$class = $objectClasses[$_GET['type']];
// Two different search types:  Search for object DN ...
if (isset($_GET['getDN'])) {
    $result = ldap_read($ad->handle, $_GET['name'], '(objectClass=*)', $class['attributes']);
}
// ... or search for baseDN with filter
else {
    $name = preg_replace($class['filterchars'], '', $_GET['name']);
    $filter = sprintf($class['filter'], $name);
    $result = ldap_search($ad->handle, $class['baseDN'], $filter, $class['attributes']);
}
if (!$result) {
    $ad->exitWithError('LDAP search failed.');
}
