// The displayed information depends on the number of hits
$cnt = ldap_count_entries($ad->handle, $result);
if (!$cnt) {
    $html->addElement('p', 'No matches found.');
} elseif ($cnt == 1) {
    list($heading, $table) = listSingleEntry($ad, $result, $_GET['type']);
    $html->addElement('h2', $heading);
    $html->addTable($table, array(true, true));
} else {
    $list = listEntries($ad, $result, $_GET['type']);
    $html->addElement('h2', 'Search result');
    $html->addList($list, true);
}
// Free result buffer, close connection
ldap_free_result($result);
$ad->close();
$html->printPage();
