/**
 * Returns the attributes of the LDAP entry
 * in an array compatible with HTMLPage->addTable()
 */
function getAttributes() {
    global $attributeConvertion;

    $table = array(array('attribute', 'value'));
    for ($i = 0; $i < $this->attr['count']; $i++) {
        $attr = $this->attr[$i];
        $link = isset($attributeConvertion[$attr]) ? $attributeConvertion[$attr] : false;
        $table[] = array($this->link($attr, 'attributeSchema'),
                         $this->getValue($attr, $link));
    }
    return $table;
}
