// Retrieving the SID and primaryGroupID of the entry ($entryDN)
$result = ldap_read($ldapLink, $entryDN,
                    '(objectSid=*)', array('objectSid','primaryGroupID'));
$entry = ldap_first_entry($ldapLink, $result);
$attr = ldap_get_attributes($ldapLink, $entry);
$sid = sid2str($attr['objectSid'][0]);
$pgid = $attr['primaryGroupID'][0];
// Retrieving the SID of the group
$grSidStr = preg_replace('/\d+$/', $pgid, $sid);
// Prepare for LDAP search filter
$grSid = str2sid($grSidStr);
$searchsid = preg_replace('/(..)/', '\\\\$1', bin2hex($grSid));
// Search for group
$result = ldap_search($ldapLink, $baseDN, "(objectSid=$searchsid)", $attributeList);
