<?php
namespace net\xmp\phpbook;

function modify($ad) {
    $attributes = array('name', 'ou', 'distinguishedName',
                        'whenChanged', 'objectGUID');
    $oldDN = 'OU=Relatives,OU=Hamster,OU=Test-OU,DC=xmp,DC=site';
    $newRDN = 'OU=Relatives and Friends';
    $newParentDN = 'OU=People,OU=Hamster,OU=Test-OU,DC=xmp,DC=site';
    $before = $ad->getOneEntry('(ou=Relatives)', $attributes);

    $success = ldap_rename($ad->handle, $oldDN, $newRDN, $newParentDN, true);
    if (!$success) {
        $ad->exitWithError("Couldn't rename OU");
    }

    $after = $ad->getOneEntry("($newRDN)", $attributes);
    return array($before, $after);
}
?>
