// Values for the groupType attribute
const GT_SECURITY_ENABLED = 0x80000000;
const GT_ACCOUNT_GROUP = 0x02;
const GT_RESOURCE_GROUP = 0x04;
const GT_UNIVERSAL_GROUP = 0x08;

function modify($ad) {
    $attr = array();
    $attr['objectClass'] = 'group';
    $attr['groupType'] = GT_ACCOUNT_GROUP | GT_SECURITY_ENABLED;
    $attr['sAMAccountName'] = 'AdventureWorks';
    $dn = 'CN=AdventureWorks,OU=Test-OU,DC=xmp,DC=site';
    ldap_add($ad->handle, $dn, $attr);
}
