<?php
namespace net\xmp\phpbook;
require './HTMLPage.php';

$page = new HTMLPage('Search contacts');
$page->addHTML('<form method="post" action="find-contact.php">');
$table = array(array('Field', 'Input'));
$table[] = array('Case-sensitive',
                 '<input type="checkbox" name="case" value="1">');
$table[] = array('Search mode', '<select name="mode">
    <option value="exact">Exact</option>
    <option value="prefix">Starts with</option>
    <option value="substr">Contains</option></select>');
$table[] = array('City', '<input name="City"  size="40">');
$table[] = array('Postal code', '<input name="PostalCode" size="8">');
$table[] = array('Country', '<input name="CountryOrRegion" size="40">');
$table[] = array('Created after', '<input name="created" size="12">');
$table[] = array('Field not included', '<select name="field">
    <option value="-">-</option>
    <option value="assistant">Assistant</option>
    <option value="manager">Manager</option>
    <option value="jobtitle">Position</option></select>');
$page->addTable($table, array(false, true));
$page->addHTML('<input type="submit" value="Search"/>');
$page->addHTML('</form>');
$page->printPage();
?>
